.docker-build:
  stage: build
  image: docker:20.10.16
  tags:
    - docker
  before_script:
    - export DOCKER_BUILD_IMAGE_NAME="${DOCKER_BUILD_IMAGE_NAME:=${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_NAME}}"
    - export DOCKER_BUILD_DOCKERFILE_PATH="${DOCKER_BUILD_DOCKERFILE_PATH:=Dockerfile}"
    - export DOCKER_BUILD_CONTEXT="${DOCKER_BUILD_CONTEXT:=.}"
    - args=""
    - for i in $DOCKER_BUILD_ARGS; do args="${args} --build-arg ${i}"; done
  script:
    - docker build -t $DOCKER_BUILD_IMAGE_NAME -f $DOCKER_BUILD_DOCKERFILE_PATH $args $DOCKER_BUILD_CONTEXT
